<ion-header>
</ion-header>

<ion-content class="subscription-page-content-styles" padding ng-show="!LoadingView" icon="spiral">
  <div class="sub-page-heading">
    <button tappable ion-button icon-left (click)="gotoFrontPage()" class="back-btn flex-buffer">
      <div class="icon-backarrow"></div>
    </button>
    <img src="assets/images/logo-sm.png" alt="IAmEliteMensTrainer">
  </div>
  <div class="subscription-page">
    <video width="100%" controls webkit-playsinline playsinline preload="none" preload="none" poster="assets/images/poster_started.jpg">
      <source src="https://player.vimeo.com/external/237651954.sd.mp4?s=c5bef9e379df88319cd4426241688479eb5df2a2&profile_id=164">
    </video>
    <h1 class="title">Are you ready to
      <br>become elite?</h1>
    <p class="intro">Get instant access to the world's #1 transformation app designed specifically for men</p>
    <ion-grid *ngIf="(weeklyProduct && unlimitedProduct && weeklyProduct.loaded && unlimitedProduct.loaded)">
      <div class="subscription-options">
        <div class="half">
          <ion-card (click)="subscribe('weekly')">
            <div class="product-title">
              <span>WEEKLY</span>
            </div>
            <div class="product-price">{{ weeklyProduct.price }} {{weeklyProduct.currency}} / week</div>
            <div class="product-description">billed each week</div>
          </ion-card>
        </div>
        <div class="half">
          <ion-card (click)="subscribe('unlimited')">
            <div class="product-title">
              <span>LIFETIME ACCESS</span>
            </div>
            <div class="product-price">{{ unlimitedProduct.price }} {{unlimitedProduct.currency}}</div>
            <div class="product-description">one time payment</div>
          </ion-card>
        </div>
      </div>
      <!-- <p class="restore-purchase" *ngIf="weeklyProduct && unlimitedProduct && weeklyProduct.loaded && unlimitedProduct.loaded"> -->
      <p class="restore-purchase">
        <button ion-button (click)="restorePurchase()">Restore Purchase</button>
      </p>
      <!-- <p class="restore-purchase" >
        <button ion-button (click)="close()">Close</button>
      </p>
      <p class="restore-purchase" >
        <button ion-button (click)="checkit()">Check</button>
      </p> -->
      <p class="lower-grey">Your subscription includes a 7 day free trial</p>
      <p class="lower-grey">Change or cancel your plan at any time</p>
      <p class="lower-grey">Once subscribed your username and password will automatically be generated and sent directly to your email inbox. Please
        confirm your subscription first for instant access to the app.</p>
      <div class="privacy-group" style="margin-top: 20px;">
        <a class="lower-button" tappable (tap)="gotoTermsPage($event)">Terms and Conditions</a>
        <a class="lower-button" tappable (tap)="gotoPrivacyPage($event)">Privacy Policy</a>
        <a class="lower-button" tappable (tap)="gotoAboutSubscriptionPage($event)">About Subscriptions and Purchases</a>
      </div>
    </ion-grid>
  </div>
</ion-content>